Bug 1279114 - SELinux is preventing php-fpm from 'name_connect' accesses on the tcp_socket port 5432.
SELinux is preventing php-fpm from 'name_connect' accesses on the tcp_socket ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:c5186cf15da10a421b1249e4ec7...
:
: 1279116 1279117 1279118 1279119 1279120 1279121 1279122 1279123 1279124 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 19:07 EST by Mikhail
Modified: 2017-04-17 07:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2015-11-07 19:07:51 EST
Description of problem:
SELinux is preventing php-fpm from 'name_connect' accesses on the tcp_socket port 5432.

*****  Plugin catchall_boolean (47.5 confidence) suggests   ******************

If you want to allow httpd to can network connect
Then you must tell SELinux about this by enabling the 'httpd_can_network_connect' boolean.
You can read 'None' man page for more details.
Do
setsebool -P httpd_can_network_connect 1

*****  Plugin catchall_boolean (47.5 confidence) suggests   ******************

If you want to allow httpd to can network connect db
Then you must tell SELinux about this by enabling the 'httpd_can_network_connect_db' boolean.
You can read 'None' man page for more details.
Do
setsebool -P httpd_can_network_connect_db 1

*****  Plugin catchall (6.38 confidence) suggests   **************************

If you believe that php-fpm should be allowed name_connect access on the port 5432 tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep php-fpm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:postgresql_port_t:s0
Target Objects                port 5432 [ tcp_socket ]
Source                        php-fpm
Source Path                   php-fpm
Port                          5432
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-153.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64+debug #1 SMP
                              Tue Oct 27 04:11:34 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-08 04:52:49 YEKT
Last Seen                     2015-11-08 04:52:49 YEKT
Local ID                      494078be-971c-46a8-9d10-f448001b382d

Raw Audit Messages
type=AVC msg=audit(1446940369.358:1958): avc:  denied  { name_connect } for  pid=14856 comm="php-fpm" dest=5432 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:postgresql_port_t:s0 tclass=tcp_socket permissive=1


Hash: php-fpm,httpd_t,postgresql_port_t,tcp_socket,name_connect

Version-Release number of selected component:
selinux-policy-3.13.1-153.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64+debug
type:           libreport
Comment 1 Miroslav Grepl 2015-11-09 02:27:24 EST
I see it correctly all your bugs are caused by php-fpm and all of them can be fixed by booleans or labeling changes how sealert tells you. Is there a problem with this fixes for you?
Comment 2 Miroslav Grepl 2015-11-09 02:27:55 EST
*** Bug 1279117 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2015-11-09 02:28:00 EST
*** Bug 1279116 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2015-11-09 02:28:06 EST
*** Bug 1279118 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2015-11-09 02:28:10 EST
*** Bug 1279119 has been marked as a duplicate of this bug. ***
Comment 6 Miroslav Grepl 2015-11-09 02:28:21 EST
*** Bug 1279121 has been marked as a duplicate of this bug. ***
Comment 7 Miroslav Grepl 2015-11-09 02:28:32 EST
*** Bug 1279122 has been marked as a duplicate of this bug. ***
Comment 8 Miroslav Grepl 2015-11-09 02:28:38 EST
*** Bug 1279123 has been marked as a duplicate of this bug. ***
Comment 9 Miroslav Grepl 2015-11-09 02:28:44 EST
*** Bug 1279124 has been marked as a duplicate of this bug. ***
Comment 10 Miroslav Grepl 2015-11-09 02:28:58 EST
*** Bug 1279120 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Admin XMLRPC Client 2016-09-27 10:57:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2016-11-24 08:11:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:30:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.